$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.10.19.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.10.19.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F1B21CD8A59243AB8D717AEF9A3C7C9046C17E849B229D84029C6D560EB87104'
  checksumType = 'sha256'
  checksum64 = 'F1B21CD8A59243AB8D717AEF9A3C7C9046C17E849B229D84029C6D560EB87104'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.10.19-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
